
TYPO3.Neos - Bug # 54564

Status: Closed Priority: Should have
Author: Thomas Hempel Category:
Created: 2013-12-22 Assigned To:
Updated: 2014-10-02 Due date:
Subject: Copy and Paste works but throws error message
Description

When I try to copy and paste something to a page I receive an error message. When I reload the page, the content was successfully
copied though.

ExtDirect error: Uncaught exception #1301610453 (ref 201312220847474ee00a) - Could not resolve a route and its
corresponding URI for the given parameters. This may be due to referring to a not existing package / controller / action while
building a link or URI. Refer to log and check the backtrace for more details.

Here is the full backtrace:

Uncaught exception #1301610453 in line 354 of
/var/www/www.scriptme.de/releases/20131216100203/Data/Temporary/Development/Cache/Code/Flow_Object_Classes/TYPO3_Flow_Mvc_Routing_UriBuilder.php: Could not 
O3_Flow_Mvc_Routing_UriBuilder.php: Could not resolve a route and its corresponding URI for the given parameters. This
may be due to referring to a not existing package / controller / action while building a link or URI. Refer to log and check the
backtrace for more details.

34 TYPO3\Flow\Mvc\Routing\Router_Original::resolve(array|5|)
33 TYPO3\Flow\Mvc\Routing\UriBuilder_Original::build(array|5|)
32 TYPO3\Flow\Mvc\Routing\UriBuilder_Original::uriFor("show", array|1|, "Frontend\Node", "TYPO3.Neos", NULL)
31 TYPO3\Flow\Mvc\Routing\UriBuilder::uriFor("show", array|1|, "Frontend\Node", "TYPO3.Neos", NULL)
30 call_user_func_array(array|2|, array|5|)
29 TYPO3\Flow\Mvc\Routing\UriBuilder::Flow_Aop_Proxy_invokeJoinPoint(TYPO3\Flow\Aop\JoinPoint)
28 TYPO3\Flow\Aop\Advice\AdviceChain::proceed(TYPO3\Flow\Aop\JoinPoint)
27 TYPO3\Neos\Aspects\PluginUriAspect_Original::rewritePluginViewUris(TYPO3\Flow\Aop\JoinPoint)
26 TYPO3\Flow\Aop\Advice\AroundAdvice::invoke(TYPO3\Flow\Aop\JoinPoint)
25 TYPO3\Flow\Aop\Advice\AdviceChain::proceed(TYPO3\Flow\Aop\JoinPoint)
24 TYPO3\Flow\Mvc\Routing\UriBuilder::uriFor("show", array|1|, "Frontend\Node", "TYPO3.Neos")
23
TYPO3\Neos\Service\ExtDirect\V1\Controller\NodeController_Original::copyAction(TYPO3\TYPO3CR\Domain\Model\Node,
TYPO3\TYPO3CR\Domain\Model\Node, "after", "")
22 TYPO3\Neos\Service\ExtDirect\V1\Controller\NodeController::copyAction(TYPO3\TYPO3CR\Domain\Model\Node,
TYPO3\TYPO3CR\Domain\Model\Node, "after", "")
21 call_user_func_array(array|2|, array|4|)
20
TYPO3\Neos\Service\ExtDirect\V1\Controller\NodeController::Flow_Aop_Proxy_invokeJoinPoint(TYPO3\Flow\Aop\JoinPoint)
19 TYPO3\Flow\Aop\Advice\AdviceChain::proceed(TYPO3\Flow\Aop\JoinPoint)
18 TYPO3\Flow\Security\Aspect\PolicyEnforcementAspect_Original::enforcePolicy(TYPO3\Flow\Aop\JoinPoint)
17 TYPO3\Flow\Aop\Advice\AroundAdvice::invoke(TYPO3\Flow\Aop\JoinPoint)
16 TYPO3\Flow\Aop\Advice\AdviceChain::proceed(TYPO3\Flow\Aop\JoinPoint)
15 TYPO3\Neos\Service\ExtDirect\V1\Controller\NodeController::copyAction(TYPO3\TYPO3CR\Domain\Model\Node,
TYPO3\TYPO3CR\Domain\Model\Node, "after", "")
14 call_user_func_array(array|2|, array|4|)
13 TYPO3\Flow\Mvc\Controller\ActionController_Original::callActionMethod()
12 TYPO3\Flow\Mvc\Controller\ActionController_Original::processRequest(TYPO3\Flow\Mvc\ActionRequest,
TYPO3\ExtJS\ExtDirect\TransactionResponse)
11 TYPO3\Flow\Mvc\Dispatcher_Original::dispatch(TYPO3\Flow\Mvc\ActionRequest,
TYPO3\ExtJS\ExtDirect\TransactionResponse)
10 TYPO3\Flow\Mvc\Dispatcher::dispatch(TYPO3\Flow\Mvc\ActionRequest, TYPO3\ExtJS\ExtDirect\TransactionResponse)
9 call_user_func_array(array|2|, array|2|)
8 TYPO3\Flow\Mvc\Dispatcher::Flow_Aop_Proxy_invokeJoinPoint(TYPO3\Flow\Aop\JoinPoint)
7 TYPO3\Flow\Aop\Advice\AdviceChain::proceed(TYPO3\Flow\Aop\JoinPoint)
6
TYPO3\Flow\Security\Aspect\RequestDispatchingAspect_Original::blockIllegalRequestsAndForwardToAuthenticationEntryPoints(TYPO3\Flow\Aop\JoinPoint)
5 TYPO3\Flow\Aop\Advice\AroundAdvice::invoke(TYPO3\Flow\Aop\JoinPoint)
4 TYPO3\Flow\Aop\Advice\AdviceChain::proceed(TYPO3\Flow\Aop\JoinPoint)
3 TYPO3\Flow\Mvc\Dispatcher::dispatch(TYPO3\Flow\Mvc\ActionRequest, TYPO3\ExtJS\ExtDirect\TransactionResponse)
2 TYPO3\ExtJS\ExtDirect\RequestHandler::handleRequest()
1 TYPO3\Flow\Core\Bootstrap::run()

ts(TYPO3\Flow\Aop\JoinPoint)
5 TYPO3\Flow\Aop\Advice\AroundAdvice::invoke(TYPO3\Flow\Aop\JoinPoint)
4 TYPO3\Flow\Aop\Advice\AdviceChain::proceed(TYPO3\Flow\Aop\JoinPoint)
3 TYPO3\Flow\Mvc\Dispatcher::dispatch(TYPO3\Flow\Mvc\ActionRequest, TYPO3\ExtJS\ExtDirect\TransactionResponse)
2 TYPO3\ExtJS\ExtDirect\RequestHandler::handleRequest()
1 TYPO3\Flow\Core\Bootstrap::run()

History
#1 - 2014-01-02 04:47 - Marcin Ryzycki

Same here, freshly installed Neos 1.0.1.

Backtrace identical as above, additionaly what pops into Data/Logs after clicking [paste] icon:

==> Security_Development.log <==
14-01-02 03:37:43 24133      192.168.66.1   INFO      Flow                 Successfully re-authenticated tokens for account "ryzy" 

==> System_Development.log <==
14-01-02 03:37:43 24133      DEBUG     Flow                 Session: Resumed session with id hBWqyZ5H6qmFAEoEDNldPlgXLaJyTLtu which
was inactive for 94 seconds. (94s)
14-01-02 03:37:44 24133      WARNING   Flow                 Router resolve(): Could not resolve a route for building an URI for the given route
values.
    node => object: TYPO3\TYPO3CR\Domain\Model\Node
    @action => show
    @controller => frontend\node
    @package => typo3.neos
    @format => html

14-01-02 03:37:44 24133      CRITICAL  Flow                 Uncaught exception #1301610453 in line 354 of
/var/www/neos.local/Data/Temporary/Development/Cache/Code/Flow_Object_Classes/TYPO3_Flow_Mvc_Routing_UriBuilder.php: Could not
resolve a route and its corresponding URI for the given parameters. This may be due to referring to a not existing package / controller / action
while building a link or URI. Refer to log and check the backtrace for more details. - See also: 20140102033743b34f80.txt

#2 - 2014-03-04 14:43 - Christian Fries

Same issue here with a freshly installed Neos 1.0.2.
Error message and log entry are the same as @Marcin Ryzycki posted
#3 - 2014-10-02 12:57 - Jonas Renggli
- Status changed from New to Closed

Can't reproduce this under Neos 1.1.2
If the problem still exists please open an issue on https://jira.typo3.org/
